require 'sketchup.rb'
module SMICHA
	def SMICHA.octane_scatter_data()
		model=Sketchup.active_model
		instances=model.selection[0].definition.instances
		txt=""
		instances.each{|instance|
		  tr=instance.transformation.to_a
		  tt=[tr[0],tr[8],-(tr[4]),tr[12].to_m, tr[2],tr[10],-(tr[6]),tr[14].to_m, -(tr[1]),-(tr[9]),tr[5],-(tr[13].to_m)]
		  str=""
		  tt.each{|e| str<<sprintf("%.4f ",e) }
		  txt<<str+"\n"
		}
		path=File.dirname(model.path)
		file=File.join(path, model.title+"_"+instances[0].definition.name+".TXT").tr("\\","/")
		f=File.new(file, "w")
		f.puts(txt)
		f.close
	end
	unless file_loaded?(__FILE__)
		UI.menu("Plugins").add_item("OCTANE scatter data from components"){SMICHA.octane_scatter_data()}
	end
	file_loaded(__FILE__)
end#module
